<?php

use yii\db\Migration;

class m160210_085744_department extends Migration
{
    public function up()
    {
        $this->createTable('{{%department}}', ['department_id' => $this->primaryKey(), 'name' => $this->string()]);
        $this->addForeignKey('team_department_key', '{{%team}}', 'department_id', '{{%department}}', 'department_id');
    }

    public function down()
    {
        $this->dropForeignKey('team_department_key', '{{%team}}');
        $this->dropTable('{{%department}}');
    }

}
