<?php

use yii\db\Migration;

class m160310_080610_hide_email_to_user_info extends Migration
{
    public function up()
    {
        $this->dropColumn('{{%company_info}}', 'hide_mail');
        $this->addColumn('{{%user_info}}', 'hide_mail', $this->smallInteger()->defaultValue(0));
    }

    public function down()
    {
        $this->dropColumn('{{%user_info}}', 'hide_mail');
        $this->addColumn('{{%company_info}}', 'hide_mail', $this->smallInteger()->defaultValue(0));
    }
}
