<?php
/**
* @var Gallery $gallery
* @var User $user
*/
use common\models\Gallery;
use common\models\User;
use common\widgets\FieldEditor;
use yii\helpers\Html;
use yii\widgets\ActiveForm;

$this->title = 'Галерея Видео';
$this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="login-left-column-title"><?= $this->title ?></div>

<div class="admin-contacts-wr style">
    <?php
    $form = ActiveForm::begin();
    ?>
    <div class="input-blocks-wrapper">
        <div class="input-blocks">
            <?= FieldEditor::widget (
                [
                    'template' => 'youtube', 'item_id' => $user->id, 'model' => 'common\models\Gallery', 'language' => 'ru',
                ]
            ); ?>
        </div>
    </div>
    <div class="input-blocks-wrapper">
        <div class="admin-save-btn skills-save-btn style">
            <?= Html::submitButton('Сохранить') ?>
        </div>
    </div>
    <?php
    $form->end();
    ?>
</div>
