<?php
    /**
     * @var View $this
     * @var User $user
     * @var PortfolioUser $model
     */
    use common\models\PortfolioUser;
    use common\models\User;
    use yii\helpers\Html;
    use yii\web\View;

?>
<div class="form-inline project_user_wrapper style" data-id="<?=$user->id?>" <?php if($model->status == 1) { echo 'data-portfolio="'.$model->portfolio_id.'"'; } ?>>
    <div class="error-summary">
        <?=Html::errorSummary($model)?>
    </div>

    <div class="input-blocks-wrapper autor_link_">
        <div class="form-group">
            <label class="sr-only">User name</label>
            <div class="form-control-static fix-link"><?=Html::a($user->name, ['performer/common', 'performer_id' => $user->id], ['target' => '_blank'])?></div>
            <?=Html::activeHiddenInput($model, "[{$user->id}]user_id", ['value' => $user->id])?>
            <?php
            if($model->status == 1) {
                echo Html::activeHiddenInput($model, "[{$user->id}]status", ['value' => $model->status]);
            }
            ?>
            <?=Html::activeHiddenInput($model, "[{$user->id}]user_id", ['value' => $user->id])?>
        </div>
    </div>

    <div class="input-blocks-wrapper" style="margin-top: 0">
        <div class="input-blocks">
            <div class="form-group">
                <?=Html::activeLabel($model, 'position', ['label' => Yii::t('app', 'Должность: ')])?>
                <?=Html::activeTextInput($model, "[{$user->id}]position", ['class' => 'form-control custom-input-2'])?>
            </div>
        </div>
        <div class="input-blocks home-input time_fix">
            <div class="form-group">
                <?=Html::activeLabel($model, 'time', ['label' => Yii::t('app', 'Часы: ')])?>
                <?=Html::activeInput('number', $model, "[{$user->id}]time", ['class' => 'form-control custom-input-2'])?>
            </div>
        </div>
        <div class="form-group remove_people">
            <span class="project_user_remove" style="background: url('/images/delete-ico.png') no-repeat; width: 13px; height: 13px; display: block; background-size: cover; cursor:pointer"></span>
        </div>
    </div>
</div>
<script>
    var blocks = $('.add_project_user_list .project_user_wrapper')
    if(blocks.length>0) {
        $('.hidden_sentence').css({display:'block'})
    }
</script>