<?php
    /**
     * @var int[]              $groups
     * @var ActiveDataProvider $comments
     */
    use common\models\Option;
    use yii\data\ActiveDataProvider;
    use yii\helpers\Html;
    use yii\widgets\ListView;

    $this->title = 'Мой профиль';
    $this->params[ 'breadcrumbs' ][] = $this->title;
?>
<div class="section-box content">
    <div class="section-box-22">
        <div class="box-wr">
            <div class="box-all">

                <div class="left-proektant-cabinet">
                    <div class="left-proektant-cabinet-title style"><?=Yii::t('app', 'Projects')?> в кабинете</div>
                    <ul class="cabinet-list style">
                        <li>
                            <img src="/images/cabinet/ico-1.png" alt=""/>
                            <span>
                                <?= Html::a('Не определен', [
                                    'projects/index',
                                    'CommentProjectSearch[state]' => 1,
                                ]) ?>
                            </span><?= ( !empty( $groups[ 1 ] ) ) ? $groups[ 1 ] : 0 ?>
                        </li>
                        <li>
                            <img src="/images/cabinet/ico-2.png" alt=""/>
                            <span>
                                <?= Html::a('Кандидат', [
                                    'projects/index',
                                    'CommentProjectSearch[state]' => 2,
                                ]) ?>
                            </span><?= ( !empty( $groups[ 2 ] ) ) ? $groups[ 2 ] : 0 ?>
                        </li>
                        <li>
                            <img src="/images/cabinet/ico-3.png" alt=""/>
                            <span>
                                <?= Html::a('Исполнитель', [
                                    'projects/index',
                                    'CommentProjectSearch[state]' => 3,
                                ]) ?>
                            </span><?= ( !empty( $groups[ 3 ] ) ) ? $groups[ 3 ] : 0 ?>
                        </li>
                        <li>
                            <img src="/images/cabinet/ico-4.png" alt=""/>
                            <span>
                                <?= Html::a('Отказали', [
                                    'projects/index',
                                    'CommentProjectSearch[state]' => 4,
                                ]) ?>
                            </span><?= ( !empty( $groups[ 4 ] ) ) ? $groups[ 4 ] : 0 ?>
                        </li>
                        <li>
                            <span>
                                <?= Html::a('Корзина', [
                                    'projects/index',
                                    'CommentProjectSearch[state]' => 5,
                                ]) ?>
                            </span><?= ( !empty( $groups[ 5 ] ) ) ? $groups[ 5 ] : 0 ?>
                        </li>
                    </ul>
                    <?php
                    echo ListView::widget([
                        'dataProvider' => $comments,
                        'options' => [
                            'class' => 'style',
                        ],
                        'itemOptions' => [
                            'class' => 'search-profile-blocks',
                        ],
                        'itemView' => '_projects_list_view',
                    ]);
                    ?>
                    <?php
                    /*
                    ?>
                    <div class="style">
                        <div class="search-profile-blocks">
                            <div class="left-left-proektant-cabinet">
                                <a href="" class="srch-prof-title">Создание проекта дома</a>
                                <div class="srch-prof-budget">
                                    <span></span>Бюджет: 20 000 грн (Договорной)
                                </div>

                                <div class="srch-prof-text">
                                    <p>На постоянные работы по созданию сайтов, в нашу команду требуется html-верстальщик. Оплата сдельная за проект. В отклике прошу написать свой Skype и почту. А так же 3 проекта с реализованной адаптивной версткой и 3 проекта мобильных сайтов.</p>
                                    <p>P.S. Студиям прошу не беспокоить! Нужен специалист в команду</p>
                                </div>
                                <div class="srch-prof-params-wr">
                                    <div class="srch-prof-params srch-prof-params-city">
                                        <img src="/images/ico-city.png" alt=""/><span>Киев</span>
                                    </div>
                                    <div class="srch-prof-params srch-prof-params-clock">
                                        <img src="/images/ico-clock.png" alt=""/><span>15.10.2016</span>
                                    </div>
                                    <div class="srch-prof-params srch-prof-params-comm">
                                        <img src="/images/ico-comm.png" alt=""/><span>4 предложения</span>
                                    </div>
                                </div>
                            </div>

                            <div class="right-proektant-cabinet">
                                <div class="right-proektant-cabinet-candidate">
                                    <img src="/images/cabinet/ico-5.png" alt=""/>
                                    <span>Ваша кандидатура на рассмотрении</span>
                                </div>
                                <div class="right-proektant-cabinet-message">Сообщение не прочитано</div>
                                <div class="right-proektant-cabinet-message-new">
                                    <img src="/images/cabinet/ico-6.png" alt=""/>
                                    <a href="#">3 Сообщения</a>
                                </div>
                            </div>

                        </div>

                        <div class="search-profile-blocks">
                            <div class="left-left-proektant-cabinet">
                                <a href="" class="srch-prof-title">Создание проекта дома</a>
                                <div class="srch-prof-budget">
                                    <span></span>Бюджет: 20 000 грн (Договорной)
                                </div>

                                <div class="srch-prof-text">
                                    <p>На постоянные работы по созданию сайтов, в нашу команду требуется html-верстальщик. Оплата сдельная за проект. В отклике прошу написать свой Skype и почту. А так же 3 проекта с реализованной адаптивной версткой и 3 проекта мобильных сайтов.</p>
                                    <p>P.S. Студиям прошу не беспокоить! Нужен специалист в команду</p>
                                </div>
                                <div class="srch-prof-params-wr">
                                    <div class="srch-prof-params srch-prof-params-city">
                                        <img src="/images/ico-city.png" alt=""/><span>Киев</span>
                                    </div>
                                    <div class="srch-prof-params srch-prof-params-clock">
                                        <img src="/images/ico-clock.png" alt=""/><span>15.10.2016</span>
                                    </div>
                                    <div class="srch-prof-params srch-prof-params-comm">
                                        <img src="/images/ico-comm.png" alt=""/><span>4 предложения</span>
                                    </div>
                                </div>
                            </div>

                            <div class="right-proektant-cabinet">
                                <div class="right-proektant-cabinet-candidate">
                                    <img src="/images/cabinet/ico-5.png" alt=""/>
                                    <span>Ваша кандидатура на рассмотрении</span>
                                </div>
                                <div class="right-proektant-cabinet-message">Сообщение не прочитано</div>
                                <div class="right-proektant-cabinet-message-new">
                                    <img src="/images/cabinet/ico-6.png" alt=""/>
                                    <a href="#">3 Сообщения</a>
                                </div>
                            </div>

                        </div>

                        <div class="search-profile-blocks">
                            <div class="left-left-proektant-cabinet">
                                <a href="" class="srch-prof-title">Создание проекта дома</a>
                                <div class="srch-prof-budget">
                                    <span></span>Бюджет: 20 000 грн (Договорной)
                                </div>

                                <div class="srch-prof-text">
                                    <p>На постоянные работы по созданию сайтов, в нашу команду требуется html-верстальщик. Оплата сдельная за проект. В отклике прошу написать свой Skype и почту. А так же 3 проекта с реализованной адаптивной версткой и 3 проекта мобильных сайтов.</p>
                                    <p>P.S. Студиям прошу не беспокоить! Нужен специалист в команду</p>
                                </div>
                                <div class="srch-prof-params-wr">
                                    <div class="srch-prof-params srch-prof-params-city">
                                        <img src="/images/ico-city.png" alt=""/><span>Киев</span>
                                    </div>
                                    <div class="srch-prof-params srch-prof-params-clock">
                                        <img src="/images/ico-clock.png" alt=""/><span>15.10.2016</span>
                                    </div>
                                    <div class="srch-prof-params srch-prof-params-comm">
                                        <img src="/images/ico-comm.png" alt=""/><span>4 предложения</span>
                                    </div>
                                </div>
                            </div>

                            <div class="right-proektant-cabinet">
                                <div class="right-proektant-cabinet-candidate">
                                    <img src="/images/cabinet/ico-5.png" alt=""/>
                                    <span>Ваша кандидатура на рассмотрении</span>
                                </div>
                                <div class="right-proektant-cabinet-message">Сообщение не прочитано</div>
                                <div class="right-proektant-cabinet-message-new">
                                    <img src="/images/cabinet/ico-6.png" alt=""/>
                                    <a href="#">3 Сообщения</a>
                                </div>
                            </div>

                        </div>

                        <div class="search-profile-blocks">
                            <div class="left-left-proektant-cabinet">
                                <a href="" class="srch-prof-title">Создание проекта дома</a>
                                <div class="srch-prof-budget">
                                    <span></span>Бюджет: 20 000 грн (Договорной)
                                </div>

                                <div class="srch-prof-text">
                                    <p>На постоянные работы по созданию сайтов, в нашу команду требуется html-верстальщик. Оплата сдельная за проект. В отклике прошу написать свой Skype и почту. А так же 3 проекта с реализованной адаптивной версткой и 3 проекта мобильных сайтов.</p>
                                    <p>P.S. Студиям прошу не беспокоить! Нужен специалист в команду</p>
                                </div>
                                <div class="srch-prof-params-wr">
                                    <div class="srch-prof-params srch-prof-params-city">
                                        <img src="/images/ico-city.png" alt=""/><span>Киев</span>
                                    </div>
                                    <div class="srch-prof-params srch-prof-params-clock">
                                        <img src="/images/ico-clock.png" alt=""/><span>15.10.2016</span>
                                    </div>
                                    <div class="srch-prof-params srch-prof-params-comm">
                                        <img src="/images/ico-comm.png" alt=""/><span>4 предложения</span>
                                    </div>
                                </div>
                            </div>

                            <div class="right-proektant-cabinet">
                                <div class="right-proektant-cabinet-candidate">
                                    <img src="/images/cabinet/ico-5.png" alt=""/>
                                    <span>Ваша кандидатура на рассмотрении</span>
                                </div>
                                <div class="right-proektant-cabinet-message">Сообщение не прочитано</div>
                                <div class="right-proektant-cabinet-message-new">
                                    <img src="/images/cabinet/ico-6.png" alt=""/>
                                    <a href="#">3 Сообщения</a>
                                </div>
                            </div>

                        </div>

                        <div class="search-profile-blocks">
                            <div class="left-left-proektant-cabinet">
                                <a href="" class="srch-prof-title">Создание проекта дома</a>
                                <div class="srch-prof-budget">
                                    <span></span>Бюджет: 20 000 грн (Договорной)
                                </div>

                                <div class="srch-prof-text">
                                    <p>На постоянные работы по созданию сайтов, в нашу команду требуется html-верстальщик. Оплата сдельная за проект. В отклике прошу написать свой Skype и почту. А так же 3 проекта с реализованной адаптивной версткой и 3 проекта мобильных сайтов.</p>
                                    <p>P.S. Студиям прошу не беспокоить! Нужен специалист в команду</p>
                                </div>
                                <div class="srch-prof-params-wr">
                                    <div class="srch-prof-params srch-prof-params-city">
                                        <img src="/images/ico-city.png" alt=""/><span>Киев</span>
                                    </div>
                                    <div class="srch-prof-params srch-prof-params-clock">
                                        <img src="/images/ico-clock.png" alt=""/><span>15.10.2016</span>
                                    </div>
                                    <div class="srch-prof-params srch-prof-params-comm">
                                        <img src="/images/ico-comm.png" alt=""/><span>4 предложения</span>
                                    </div>
                                </div>
                            </div>

                            <div class="right-proektant-cabinet">
                                <div class="right-proektant-cabinet-candidate">
                                    <img src="/images/cabinet/ico-5.png" alt=""/>
                                    <span>Ваша кандидатура на рассмотрении</span>
                                </div>
                                <div class="right-proektant-cabinet-message">Сообщение не прочитано</div>
                                <div class="right-proektant-cabinet-message-new">
                                    <img src="/images/cabinet/ico-6.png" alt=""/>
                                    <a href="#">3 Сообщения</a>
                                </div>
                            </div>

                        </div>

                        <div class="navi-buttons-wr style navi-buttons-yet-wr">
                            <ul class="pagination">
                                <li><a href="#">1</a></li>
                                <li class="active"><a href="#">2</a></li>
                                <li><a href="#">3</a></li>
                                <li><a href="#">4</a></li>
                                <li><a href="#">5</a></li>
                                <li class="dots-next"><a href="#">...</a></li>
                                <li><a href="#">156</a></li>
                            </ul>
                            <a href="#" class="navi-buttons-yet">Еще 24 проекта</a>
                        </div>
                    </div>
                    <?php
                    */
                    ?>


                </div>

            </div>
        </div>
    </div>
    <div>


    </div>
</div>