<?php

/* @var $this yii\web\View */
/* @var $form yii\bootstrap\ActiveForm */
/* @var $model \frontend\models\PasswordResetRequestForm */

use yii\helpers\Html;
use yii\bootstrap\ActiveForm;

$this->title = 'Запрос на восстановление пароля';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="box-wr" style="width: 600px">
    <div class="box-all" style="width: 600px">
        <div class="site-request-password-reset">
            <div class="site-request-password-title style"><?= Html::encode($this->title) ?></div>

            <div class="site-request-password-help style">Для восстановления пароля введите email, который Вы использовали при регистрации. Из соображений безопасности мы высылаем не пароль, заданный при регистрации, а письмо со специальной ссылкой, пройдя по которой вы сможете задать новый пароль для доступа к панели управления.</div>




                    <?php $form = ActiveForm::begin(['id' => 'request-password-reset-form']); ?>
            <div class="input-blocks-wrapper">
                <div style="width: 300px;margin: 0 auto">
                    <div class="input-blocks">
                        <?= $form->field($model, 'email', [ 'template' => "{label}\n{input}\n{error}" ])
                            ->label()
                            ->textInput (['class'=> 'custom-input-2']);
                        ?>
                    </div>
                </div>
            </div>

            <div class="input-blocks-wrapper" style="margin-top: 20px; margin-bottom: 50px">
                <div style="width: 300px;margin: 0 auto">
                    <div class="form-group">
                        <?= Html::submitButton('Отправить', ['class' => 'btn btn-primary login-button']) ?>
                    </div>
                </div>

            </div>


                    <?php ActiveForm::end(); ?>


        </div>
    </div>
</div>

