<?php

use yii\db\Migration;

class m160208_091942_vacancies extends Migration
{
    public function up()
    {
        $tableOptions = null;

        $this->createTable('{{%vacancy}}', [
            'vacancy_id' => $this->primaryKey(),
            'user_id' =>  $this->integer()->notNull(),
            'name' => $this->string(255)->notNull(),
            'link' => $this->string(255),
            'date_add' => $this->timestamp(),
            'user_add_id' => $this->integer(),
            'view_count' => $this->integer()->defaultValue(0),
            'user_name' =>  $this->string(255),
            'city' =>  $this->string(255),
            'description' =>  $this->text(),
        ], $tableOptions);

    }

    public function down()
    {
        $this->dropTable('{{%vacancy}}');
    }
}
