<?php

use yii\db\Migration;

/**
 * Handles adding coordinates_columns to table `project_and_portfolio`.
 */
class m160504_145135_add_coordinates_columns_to_project_and_portfolio extends Migration
{
    /**
     * @inheritdoc
     */
    public function up()
    {
        $this->addColumn('{{%project}}', 'lat', $this->string());
        $this->addColumn('{{%project}}', 'lng', $this->string());
        $this->addColumn('{{%portfolio}}', 'lat', $this->string());
        $this->addColumn('{{%portfolio}}', 'lng', $this->string());
    }

    /**
     * @inheritdoc
     */
    public function down()
    {
        $this->dropColumn('{{%project}}', 'lat');
        $this->dropColumn('{{%project}}', 'lng');
        $this->dropColumn('{{%portfolio}}', 'lat');
        $this->dropColumn('{{%portfolio}}', 'lng');
    }
}
