<?php
use yii\helpers\Html;
use yii\widgets\ActiveForm;
use mihaildev\ckeditor\CKEditor;
use mihaildev\elfinder\InputFile;
use mihaildev\elfinder\ElFinder;
?>

<?php $form = ActiveForm::begin(); ?>

<?= $form->field($user, 'username')->textInput() ?>

<?= $form->field($user, 'lastname')->textInput() ?>

<?= $form->field($user, 'firstname')->textInput() ?>

<?= $form->field($user, 'email')->textInput() ?>

<?= $form->field($user_info, 'user_id')->textInput() ?>

<?= $form->field($user_info, 'busy')->textInput(['maxlength' => true]) ?>

<?= $form->field($user_info, 'experience')->textInput() ?>

<?= $form->field($user_info, 'salary')->textInput(['maxlength' => true]) ?>

<?= $form->field($user_info, 'job')->textInput(['maxlength' => true]) ?>

<?= $form->field($user_info, 'location')->textInput(['maxlength' => true]) ?>

<?= $form->field($user_info, 'soft')->textInput() ?>

<?= $form->field($user_info, 'guarantee')->textInput() ?>

<?= $form->field($user_info, 'contract')->textInput() ?>

<?= $form->field($user_info, 'estimate')->textInput() ?>

<?= $form->field($user_info, 'purchase')->textInput() ?>

<?= $form->field($user_info, 'delivery')->textInput() ?>

<?= $form->field($user_info, 'prepayment')->textInput() ?>

<?=  $form->field($user_info, 'about')->widget(CKEditor::className(),[
    'editorOptions' => ElFinder::ckeditorOptions('elfinder',[
            'preset' => 'full', //разработанны стандартные настройки basic, standard, full данную возможность не обязательно использовать
            'inline' => false, //по умолчанию false]),
            'filebrowserUploadUrl'=>Yii::$app->getUrlManager()->createUrl('file/uploader/images-upload')
        ]
    )
]); ?>


<?= \common\widgets\FieldEditor::widget([
    'template'=>'education',
    'item_id'=> $user->id,
    'model'=>'common\models\User',
    'language'=>'ru'
]); ?>


<div class="form-group">
    <?= Html::submitButton('Create', ['class' => 'btn btn-success']) ?>
</div>

<?php ActiveForm::end(); ?>