<?php
    /**
     * @var User $user
     */
use common\models\Option;
    use common\models\User;
    use common\widgets\FieldEditor;
    use yii\helpers\Html;
use yii\widgets\ActiveForm;
use \common\widgets\MultiLangForm;

    $this->title = 'Дополнительные навыки';
    $this->params['breadcrumbs'][] = $this->title;
?>
    <div class="login-left-column-title"><?= $this->title ?></div>
<?php
    $form = ActiveForm::begin();
?>
<div class="skills-admin-wrapper style">
    <div class="input-blocks-wrapper skills-programs">
        <div class="input-blocks">
            <?= FieldEditor::widget (
                [
                    'template' => 'soft', 'item_id' => $user->id, 'model' => 'common\models\User', 'language' => 'ru',
                ]
            ); ?>
        </div>
    </div>

    <div class="input-blocks-wrapper skills-add-wr education-skills">

            <?= FieldEditor::widget (
                [
                    'template' => 'education', 'item_id' => $user->id, 'model' => 'common\models\User', 'language' => 'ru',
                ]
            ); ?>

    </div>

    <div class="input-blocks-wrapper  skills-add-wr education-skills">

            <?= FieldEditor::widget (
                [
                    'template' => 'development', 'item_id' => $user->id, 'model' => 'common\models\User', 'language' => 'ru',
                ]
            ); ?>

    </div>

    <div class="input-blocks-wrapper  skills-add-wr education-skills">

            <?= FieldEditor::widget (
                [
                    'template' => 'courses', 'item_id' => $user->id, 'model' => 'common\models\User', 'language' => 'ru',
                ]
            ); ?>

    </div>

    <div class="input-blocks-wrapper">
        <div class="admin-save-btn skills-save-btn  style">
            <?= Html::submitButton('Сохранить',['class'=>'input-blocks-wrapper button']) ?>
        </div>
    </div>
</div>
<?php
    $form->end();
?>