<?php
    /**
     * @var Comment  $model
     * @var int      $key
     * @var int      $index
     * @var ListView $widget
     */
    use common\modules\comment\models\Comment;
    use kartik\rating\StarRating;
    use yii\helpers\Html;
    use yii\widgets\ListView;

?>
<?php
    if(!empty( $model->rating )) {
        echo StarRating::widget([
            'name'          => 'rating_company_team',
            'value'         => $model->rating->value,
            'pluginOptions' => [
                'displayOnly' => true,
                'size'        => 'xxs',
                'min'         => 0,
                'max'         => 10,
                'stars'       => 10,
            ],
        ]);
    }
?>
<?php
    if(!empty( $model->user_id )) {
        ?>
        <div class="company-performer-comments-autor">Мнение от: <?= $model->author ?></div>
        <?php
    } else {
        ?>
        <div class="company-performer-comments-autor">Мнение от: <?= $model->user_name ?></div>
        <?php
    }
?>
<div class="company-performer-comments-txt"><?= $model->text ?></div>
<a href="#" class="company-comm-see-all"><span>Развернуть</span></a>
