<?php

    use common\models\User;
    use yii\data\ActiveDataProvider;
    use yii\helpers\ArrayHelper;
    use \yii\helpers\Html;
    use yii\widgets\ListView;

    /* @var yii\web\View $this
     * @var User               $company
     * @var ActiveDataProvider $dataProvider
     */
    $this->params[ 'company' ] = $company;

    $this->title = 'Proektant.net';
?>
<div class="proektant-profile-content" style="width:100%">
    <div class="search-worker-title style">Сейчас <?= $dataProvider->totalCount ?> предложений</div>
    <div class="search-profile-blocks-wr style">
        <?= ListView::widget([
            'dataProvider' => $dataProvider,
            'itemView'     => '@frontend/views/search/_projects_list_view',
            'layout'       => "{items}\n<div class='navi-buttons-wr style navi-buttons-yet-wr'>{pager}</div>",
        ]); ?>
    </div>
</div>
