<?php
    /**
     * @var Gallery  $model
     * @var mixed    $key
     * @var int      $index
     * @var ListView $widget
     */
    use common\models\Gallery;
    use yii\helpers\Html;
    use yii\widgets\ListView;
    $images = $model->ShowGallery($model->photo);
?>
<div class="gallery-box">
    <a href="#" class="gallery-box-min" title="<?= $model->name ?>"><?= Html::img($model->getWatermark($model->cover, 210, 150)); ?></a>
    <div class="gallery-box-hidden">
        <div class="gallery-box-preview">
            <?php
            foreach($images as $image) {
                echo Html::tag('span', '', ['data' => ['link' => $model->getWatermark($image, 210, 150)]]);
            }
            ?>
        </div>
        <div class="gallery-box-big">
            <?php
            foreach($images as $image) {
                echo Html::tag('span', '', ['data' => ['link' => $model->getWatermark($image, 'original')]]);
            }
            ?>
        </div>
    </div>
</div>